unit IBOConsoleFormIntf;

interface
uses dmuNode;

type
  IIBOConsoleForm = interface
    ['{680FA2F9-22E2-4F9C-B61E-EEF8E310501A}']
    function GetDataModule: TDmN;
    function GetObjectName: String;
    function GetObjectType: integer;
    function GetImageIndex: integer;
    procedure SetDataModule(const Value: TDmN);
    procedure SetObjectName(const Value: String);
    procedure NewObject;
    property ObjectName:String read GetObjectName write SetObjectName;
    property DataModule:TDmN read GetDataModule write SetDataModule;
  end;

  IIBOConsoleEditor = interface
    ['{EDE9F09A-2F57-4B4E-B4AA-94D4FA4AB325}']
    function GetIsNewObject: Boolean;
    function GetObjectModified: boolean;
    procedure SetObjectModified(const Value: boolean);
    procedure NewObject;
    property ObjectModified:boolean read GetObjectModified write SetObjectModified;
    property IsNewObject:Boolean read GetIsNewObject;
  end;

implementation

end.
