unit MainFormUnitnstall;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, FileOper;

type
  TForm1 = class(TForm)
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    fo:TFileOperation;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses IBOConsoleSetupConstU, LMInstallUtils;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.Button2Click(Sender: TObject);

procedure RemoveFiles(const path:String);
begin
  try
    fo:=TFileOperation.Create(nil);
    try
      fo.Mode := foDelete;
      fo.Options := [fofNoConfirmation,fofSimpleProgress];
      fo.Source := path;
      fo.Execute;
    finally
      fo.Free;
    end;
  except
  end;
end;


var f,InstDir,MenuDir:string;

begin
  Label2.Caption := 'Running';
  screen.Cursor := crHourGlass;
  try
    InstDir := sWinProgramsDir+'\'+cartella_prg;

    if sWinStartMenuProgramsDir[Length(sWinStartMenuProgramsDir)] = '\' then
      MenuDir := sWinStartMenuProgramsDir+cartella_menu_avvio
    else
      MenuDir := sWinStartMenuProgramsDir+'\'+cartella_menu_avvio;

    if DirectoryExists(InstDir) then
    begin
      RemoveFiles(InstDir+'\*.*');
      RemoveFiles(InstDir);
    end;

    if DirectoryExists(MenuDir) then
    begin
      RemoveFiles(MenuDir+'\*.*');
      RemoveFiles(MenuDir);
    end;

    if sWinDektopDir[Length(sWinDektopDir)] = '\' then
      f:=sWinDektopDir+ titoloLinkExe+'.lnk'
    else
      f:=sWinDektopDir+ '\'+titoloLinkExe+'.lnk';

    if FileExists(f) then deleteFile(f);

    DeleteLMRegistryKey('SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\'+ProductName);
  finally
    screen.Cursor := crDefault;
  end;
  close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  if GetTempDirectory = ExtractFilePath(Application.ExeName) then
  begin
    SetRunOnce('End Remove of '+titoloLinkExe,'cmd.exe /C erase ' + Application.ExeName);
  end;
end;

end.
