{************************************************************************
  This Unit was modified to be interfaced in IBObjects
  by Lorenzo Mengoni - (Ancona, Italy)

  for suggestion and contributions email to lorenzo@mengoni.com

  This software is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied.
  If you live or are intended to use this software in countries
  where this is not applicable ("AS IS" basis), DO NOT USE IT.

                                                                         }
{
 * The contents of this file are subject to the InterBase Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License.
 *
 * You may obtain a copy of the License at http://www.Inprise.com/IPL.html.
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.  The Original Code was created by Inprise
 * Corporation and its predecessors.
 * 
 * Portions created by Inprise Corporation are Copyright (C) Inprise
 * Corporation. All Rights Reserved.
 *
 * Contributor(s): Jeff Overcash, Krzysztof Golko.
}

unit frmuSplash;

interface

uses
{$IFDEF LINUX}
  QGraphics, QControls, QForms, QDialogs, QExtCtrls,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Controls, Forms, Dialogs, ExtCtrls, SysUtils, Classes, StdCtrls, ShellAPI,
  Windows,  jpeg,
{$IFDEF useGraphicEx}
  GraphicEx,
{$ENDIF}
{$IFDEF  _JvGIF_}
  JvGIF,
{$ENDIF}
  pngimage
{$ENDIF};

type
  TfrmSplash = class(TForm)
    imgSplash: TImage;
    Panel2: TPanel;
    Image2: TImage;
    Label3: TLabel;
    Label1: TLabel;
    procedure Panel2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSplash: TfrmSplash;

implementation

{$IF Declared(Forms)}
{$R *.dfm}
{$IFEND}

{$IF Declared(QForms)}
{$R *.xfm}
{$IFEND}

procedure TfrmSplash.Panel2Click(Sender: TObject);
begin
{$IFDEF MSWINDOWS}
  ShellExecute(0, 'open', PChar('http://www.ibobjects.com'), '', '', SW_SHOWNORMAL);
{$ENDIF}
end;

end.
