unit locales;
interface
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;
type
  TForm1 = class(TForm)
    Button1: TButton;
    LocaleList: TListBox;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    lcid:Cardinal;
  public
    { Public declarations }
  end;
var
  Form1: TForm1;
implementation
{$R *.DFM}
function GetLocaleData(ID: LCID; Flag: DWORD): string;
var
  BufSize: Integer;
begin
  BufSize := GetLocaleInfo(ID, Flag, nil, 0);
  SetLength(Result, BufSize);
  GetLocaleinfo(ID, Flag, PChar(Result), BufSize);
  SetLength(Result, BufSize - 1);
end;

{ Called for each supported locale.
function LocalesCallback(Name: PChar): Bool; stdcall;
var
  LCID: Integer;
begin
  LCID := StrToInt('$' + Copy(Name, 5, 4));
  Form1.LocaleList.Items.Add(GetLocaleData(LCID, LOCALE_SLANGUAGE));

  Result := Bool(1);
end;
}

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
    for I := 0 to Languages.Count - 1 do
    begin
      LocaleList.Items.Add(Languages.Name[I]);
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var idx:integer;
begin
  lcid := SysLocale.DefaultLCID;
  idx := Languages.IndexOf(lcid);
  Label1.Caption := 'Name='+Languages.Name[idx]+sLineBreak+
                    'ID='+Languages.ID[idx]+sLineBreak+
                    'LocaleID='+Inttostr(Languages.LocaleID[idx])+sLineBreak+
                    'Ext='+Languages.Ext[idx]+sLineBreak;
end;

end.

