{************************************************************************}
{  This Unit was created to be interfaced in IBObjects
   by Lorenzo Mengoni - (Ancona, Italy)
   for suggestion and contributions email to lorenzo@mengoni.com
}
{  This software is distributed under the License is distributed on      }
{    an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either              }
{    express or implied.                                                 }

unit IBOAdminReg;

interface

procedure Register;

implementation

{$R IBOAdmin.dcr}

uses Classes, IBOExtract, IBOConnectionInfo, IBOServices, IBOInstall, LMIBOExtract;

procedure Register;
begin
   RegisterComponents('iboAdmin',[TIBOExtract,
                                  TIB_ConnectionInfo,
                                  TIBOConfigService,
                                  TIBOBackupService,
                                  TIBORestoreService,
                                  TIBOValidationService,
                                  TIBOLicensingService,
                                  TIBOStatisticalService,
                                  TIBOServerProperties,
                                  TIBOInstall,
                                  TIBOUNInstall,
                                  TLMIBOExtract
                                 ]);
end;

end.
