unit FormMergeIniFiles;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, StdActns, StdCtrls, Inifiles;

type
  TFormMergeIni = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ActionList1: TActionList;
    FileOpenSource: TFileOpen;
    FileOpenDest: TFileOpen;
    Button3: TButton;
    ActionMerge: TAction;
    Button4: TButton;
    procedure FileOpenSourceAccept(Sender: TObject);
    procedure FileOpenDestAccept(Sender: TObject);
    procedure ActionMergeExecute(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
    fs,fd:TIniFile;
  public
    { Public declarations }
  end;

var
  FormMergeIni: TFormMergeIni;

implementation

uses IBOCGlobal;

{$R *.dfm}

procedure TFormMergeIni.FileOpenSourceAccept(Sender: TObject);
begin
  Label1.Caption := FileOpenSource.Dialog.FileName;
end;

procedure TFormMergeIni.FileOpenDestAccept(Sender: TObject);
begin
  Label2.Caption := FileOpenDest.Dialog.FileName;
end;

procedure TFormMergeIni.ActionMergeExecute(Sender: TObject);
begin
  fs:=TIniFile.Create(Label1.Caption);
  fd:=TIniFile.Create(Label2.Caption);
  MergeIniFiles(fs,fd);
end;

procedure TFormMergeIni.Button4Click(Sender: TObject);
var n:integer;
begin
{$ifdef initlangfile} Writeprompts; {$endif}

end;

end.
