program IBOConsole;
{%ToDo 'IBOConsole.todo'}
{%File 'Distrib\ChangeLog.txt'}

{$define _JvGIF_}
{undefine above for remove gif support}

uses
  IBO_GDS32_Init in 'IBO_GDS32_Init.pas',
  MidasLib,
  Windows,
  Forms,
  IBOCGlobal in 'IBOCGlobal.pas',
  IB_Constants,
  IB_Session,
  IBOCPersistent in 'IBOCPersistent.pas',
  LMIBOQueryStatement in 'LMIBOQueryStatement.pas',
  zluSQL in 'zluSQL.pas',
  wisql in 'wisql.pas' {dlgWisql},
  MemoLists in 'MemoLists.pas',
  IBOConsoleForm in 'IBOConsoleForm.pas',
  frmuMain in 'frmuMain.pas' {frmMain},
  dmuMain in 'dmuMain.pas' {dmMain: TDataModule},
  dmuNode in 'dmuNode.pas' {DmN: TDataModule},
  zluibcClasses in 'zluibcClasses.pas',
  zluUtility in 'zluUtility.pas',
  zluContextHelp in 'zluContextHelp.pas',
  zluCommDiag in 'zluCommDiag.pas',
  frmuAbout in 'frmuAbout.pas' {frmAbout},
  frmuServerLogin in 'frmuServerLogin.pas' {frmServerLogin},
  frmuUser in 'frmuUser.pas' {frmUserInfo},
  frmuServerRegister in 'frmuServerRegister.pas' {frmServerRegister},
  frmuDBRegister in 'frmuDBRegister.pas' {frmDBRegister},
  frmuSplash in 'frmuSplash.pas' {frmSplash},
  frmuMessage in 'frmuMessage.pas' {frmMessage},
  frmuServerProperties in 'frmuServerProperties.pas' {frmServerProperties},
  frmuBackupAliasProperties in 'frmuBackupAliasProperties.pas' {frmBackupAliasProperties},
  frmuCommDiag in 'frmuCommDiag.pas' {frmCommDiag},
  frmuDBConnect in 'frmuDBConnect.pas' {frmDBConnect},
  frmuDBBackup in 'frmuDBBackup.pas' {frmDBBackup},
  frmuDBProperties in 'frmuDBProperties.pas' {frmDBProperties},
  frmuDBCreate in 'frmuDBCreate.pas' {frmDBCreate},
  frmuDBConnections in 'frmuDBConnections.pas' {frmDBConnections},
  frmuDBShutdown in 'frmuDBShutdown.pas' {frmDBShutdown},
  frmuDBStatistics in 'frmuDBStatistics.pas' {frmDBStatistics},
  frmuDBValidationReport in 'frmuDBValidationReport.pas' {frmDBValidationReport},
  frmuDBTransactions in 'frmuDBTransactions.pas' {frmDBTransactions},
  frmuDBValidation in 'frmuDBValidation.pas' {frmDBValidation},
  frmuDBRestore in 'frmuDBRestore.pas' {frmDBRestore},
  frmuModifyServerAlias in 'frmuModifyServerAlias.pas' {frmModifyServerAlias},
  frmuDisplayBlob in 'frmuDisplayBlob.pas' {frmDisplayBlob},
  frmuTextViewer in 'frmuTextViewer.pas' {frmTextViewer},
  frmuSQLOptions in 'frmuSQLOptions.pas' {frmSQLOptions},
  frmuTools in 'frmuTools.pas' {frmTools},
  frmuAddTool in 'frmuAddTool.pas' {frmAddTools},
  frmuWindowList in 'frmuWindowList.pas' {dlgWindowList},
  frmuArrayDialog in 'frmuArrayDialog.pas' {frmArrayDialog},
  frmuDispMemo in 'frmuDispMemo.pas' {TfrmDispMemo},
  frmuEditorConstraint in 'frmuEditorConstraint.pas' {frmEditorConstraint},
  frmuEditorDomain in 'frmuEditorDomain.pas' {frmDomains},
  frmuEditorException in 'frmuEditorException.pas' {frmExceptions},
  frmuEditorField in 'frmuEditorField.pas' {frmEditorField},
  frmuEditorFilter in 'frmuEditorFilter.pas' {FrmEditorFilter},
  frmuEditorIndex in 'frmuEditorIndex.pas' {frmEditorIndex},
  frmuEditorRole in 'frmuEditorRole.pas' {frmRole},
  frmuEditorStoredProcedure in 'frmuEditorStoredProcedure.pas' {frmStoredProcedure},
  frmuEditorTable in 'frmuEditorTable.pas' {frmEditorTable},
  frmuEditorTrigger in 'frmuEditorTrigger.pas' {frmEditorTrigger},
  frmuEditorUDF in 'frmuEditorUDF.pas' {frmUDFEditor},
  frmuEditorView in 'frmuEditorView.pas' {frmViewEditor},
  frmuLookUpFilterUpas in 'frmuLookUpFilterUpas.pas' {FormLookUp},
  frmuIBOConsoleOptions in 'frmuIBOConsoleOptions.pas' {frmOptions},
  frmEditorOptionsU in 'frmEditorOptionsU.pas' {frmEditorOptions},
  frameEditorField in 'frameEditorField.pas' {FrameEditorField: TFrame},
  FrameFieldsList in 'FrameFieldsList.pas' {FrameIndexList: TFrame},
  frmuUDFInputParam in 'frmuUDFInputParam.pas' {frmUDFAddInput},
  IBOCPersistentIniFile in 'IBOCPersistentIniFile.pas',
  IBOCPersistentWinReg in 'IBOCPersistentWinReg.pas',
  FrameGeneratorsU in 'FrameGeneratorsU.pas' {FrameGenerators: TFrame},
  IBOCPersistentTypes in 'IBOCPersistentTypes.pas',
  LMMessageDialog in 'LMMessageDialog.pas',
  frmuDBFind in 'frmuDBFind.pas' {FormDBFind},
  TreeScan in 'TreeScan.pas',
  BrowseFolder in 'BrowseFolder.pas';

{$R *.RES}
begin
  GlobalTestHistance;
  Application.Initialize;
  frmSplash := TfrmSplash.Create(nil);
  frmSplash.Show;
  frmSplash.Update;
  Application.ProcessMessages;
  GlobalTestClientLibrary;
  Application.Title := 'IBOConsole';
  Application.CreateForm(TdmMain, dmMain);
  Application.CreateForm(TfrmMain, frmMain);
  frmSplash.Free;
  Application.ShowMainForm := true;
  ShowWindow(Application.Handle, SW_RESTORE);
  Application.Run;
end.
