unit InactiveCoursesListPageU;
                                                                         
interface                                                                
                                                                         
uses                                                                  
  SysUtils, Classes, HTTPApp, WebModu, HTTPProd, CompProd, PagItems,  
  SiteProd, WebAdapt, WebComp, FIBQuery, pFIBQuery, MidItems, WebForm, LMGetTextU; 
                                                                         
type                                                                     
  TInactiveCoursesList = class(TWebPageModule)
    appCoursesList: TAdapterPageProducer;                         
    adCoursesList: TPagedAdapter;
    AdapterForm1: TAdapterForm;
    AdapterErrorList1: TAdapterErrorList;                              
    AdapterCommandGroup1: TAdapterCommandGroup;                        
    CmdPrevPage: TAdapterActionButton;                                 
    CmdGotoPage: TAdapterActionButton;                                 
    CmdNextPage: TAdapterActionButton;                                 
    AdapterGrid1: TAdapterGrid;                                        
    ColID_CATEGORY: TAdapterDisplayColumn;   
    ColID_TYPE: TAdapterDisplayColumn;   
    ColID_LANGUAGE: TAdapterDisplayColumn;   
    ColTITLE: TAdapterDisplayColumn;   
    ColCODE: TAdapterDisplayColumn;   
    ColACTIVE: TAdapterDisplayColumn;   
    ColREAD_ONLY: TAdapterDisplayColumn;   
    ColIDENTIFIER: TAdapterDisplayColumn;   
    ColDEFAULT_IDENTIFIER: TAdapterDisplayColumn;   
    ColCREATED: TAdapterDisplayColumn;   
    ColUPDATED: TAdapterDisplayColumn;   
    ColCONTROL_MODE_CHOICE: TAdapterDisplayColumn;   
    ColCONTROL_MODE_CHOICE_EXIT: TAdapterDisplayColumn;   
    ColCONTROL_MODE_FLOW: TAdapterDisplayColumn;   
    ColCONTROL_MODE_FORWARD_ONLY: TAdapterDisplayColumn;   
    ColJCategoryIdCategoryJ: TAdapterDisplayColumn;
    ColJLanguageIdLanguageJ: TAdapterDisplayColumn;
    ColJCourseTypeIdTypeJ: TAdapterDisplayColumn;
    AdapterCommandColumn1: TAdapterCommandColumn;                      
    CmdEdit: TAdapterActionButton;                                     
    CmdDelete: TAdapterActionButton;                                   
    CmdInsert: TAdapterActionButton; 
    aaEdit: TAdapterAction;                                 
    aaDelete: TAdapterAction;                               
    aaInsert: TAdapterAction;
    ActionPrevPage: TAdapterPrevPageAction;                            
    ActionGotoPage: TAdapterGotoPageAction;                            
    ActionNextPage: TAdapterNextPageAction;                            
    qSelCoursesList: TpFIBQuery;                                  
    qDelCoursesList: TpFIBQuery;                                  
    qCntCoursesList: TpFIBQuery;           
    adCoursesListID_COURSE: TAdapterField; 
    adCoursesListID_CATEGORY: TAdapterField; 
    adCoursesListID_TYPE: TAdapterField; 
    adCoursesListID_LANGUAGE: TAdapterField; 
    adCoursesListTITLE: TAdapterField; 
    adCoursesListCODE: TAdapterField; 
    adCoursesListACTIVE: TAdapterBooleanField; 
    adCoursesListREAD_ONLY: TAdapterBooleanField; 
    adCoursesListIDENTIFIER: TAdapterField; 
    adCoursesListDEFAULT_IDENTIFIER: TAdapterField; 
    adCoursesListCREATED: TAdapterField; 
    adCoursesListUPDATED: TAdapterField; 
    adCoursesListCONTROL_MODE_CHOICE: TAdapterBooleanField; 
    adCoursesListCONTROL_MODE_CHOICE_EXIT: TAdapterBooleanField; 
    adCoursesListCONTROL_MODE_FLOW: TAdapterBooleanField; 
    adCoursesListCONTROL_MODE_FORWARD_ONLY: TAdapterBooleanField; 
    adCoursesListJCategoryIdCategoryJ: TAdapterField;
    adCoursesListJLanguageIdLanguageJ: TAdapterField;
    adCoursesListJCourseTypeIdTypeJ: TAdapterField;
    procedure adCoursesListID_COURSEGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListID_CATEGORYGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListID_TYPEGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListID_LANGUAGEGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListTITLEGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListCODEGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListACTIVEGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListREAD_ONLYGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListIDENTIFIERGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListDEFAULT_IDENTIFIERGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListCREATEDGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListUPDATEDGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListCONTROL_MODE_CHOICEGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListCONTROL_MODE_CHOICE_EXITGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListCONTROL_MODE_FLOWGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListCONTROL_MODE_FORWARD_ONLYGetValue(Sender: TObject; var Value: Boolean);
    procedure adCoursesListJCategoryIdCategoryJGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListJLanguageIdLanguageJGetValue(Sender: TObject; var Value: Variant);
    procedure adCoursesListJCourseTypeIdTypeJGetValue(Sender: TObject; var Value: Variant);
    procedure appCoursesListBeforeGetContent(Sender: TObject);      
    procedure aaDeleteExecute(Sender: TObject; Params: TStrings); 
    procedure aaDeleteGetEnabled(Sender: TObject; var Enabled: Boolean); 
    procedure aaDeleteGetParams(Sender: TObject; Params: TStrings); 
    procedure aaEditGetEnabled(Sender: TObject; var Enabled: Boolean);   
    procedure aaEditGetParams(Sender: TObject; Params: TStrings);  
    procedure aaEditExecute(Sender: TObject; Params: TStrings); 
    procedure aaInsertGetParams(Sender: TObject; Params: TStrings);
    procedure aaInsertGetEnabled(Sender: TObject; var Enabled: Boolean); 
    procedure aaInsertExecute(Sender: TObject; Params: TStrings); 
    procedure adCoursesListGetEOF(Sender: TObject; var Eof: Boolean);  
    procedure adCoursesListGetFirstRecord(Sender: TObject; var Eof: Boolean); 
    procedure adCoursesListGetRecordCount(Sender: TObject; var Count: Integer); 
    procedure adCoursesListGetNextRecord(Sender: TObject; var Eof: Boolean);    
    procedure adCoursesListGetRecordIndex(Sender: TObject; var Index: Integer); 
    procedure WebPageModuleActivate(Sender: TObject);   
  private                                                                
    { Private declarations }                                             
    f_ID_COURSE : Integer;  //PK                        
    f_ID_CATEGORY : Integer; 
    f_ID_TYPE : Integer; 
    f_ID_LANGUAGE : Integer; 
    f_TITLE : String; 
    f_CODE : String; 
    f_ACTIVE : Boolean; 
    f_READ_ONLY : Boolean; 
    f_IDENTIFIER : String; 
    f_DEFAULT_IDENTIFIER : String; 
    f_CREATED : TDateTime {Timestamp}; 
    f_UPDATED : TDateTime {Timestamp}; 
    f_CONTROL_MODE_CHOICE : Boolean; 
    f_CONTROL_MODE_CHOICE_EXIT : Boolean; 
    f_CONTROL_MODE_FLOW : Boolean; 
    f_CONTROL_MODE_FORWARD_ONLY : Boolean; 
    fj_CategoryIdCategoryJ: String;
    fj_LanguageIdLanguageJ: String;
    fj_CourseTypeIdTypeJ: String;
    return_page:string; 
    n:integer;                              
    procedure OpenQuery;         
  public                         
    { Public declarations }      
  end;                           
                                 
  function InactiveCoursesList: TInactiveCoursesList;
                                 
implementation                   
                                 
{$R *.xfm}  {*.html}             
                                 
uses WebDisp, WebReq, WebCntxt, WebFact, Variants, 
WebAppDataModule1U, Web_Utils, AekooLCMSGlobal
; 
                                                                         
const 
  sBoolean:array[boolean] of String = ('F','T'); 
                                                                         
function InactiveCoursesList: TInactiveCoursesList;
begin                                                                    
  Result := TInactiveCoursesList(WebContext.FindModuleClass(TInactiveCoursesList));
end;                                                                     
                                                                         
procedure TInactiveCoursesList.WebPageModuleActivate(Sender: TObject);
begin                                                                 
//                                                                    
  CmdInsert.  Caption := WebAppDataModule1.GetText('New');                  
  CmdPrevPage. Caption := WebAppDataModule1.GetText('Prev');            
  CmdNextPage. Caption := WebAppDataModule1.GetText('Next');            
  CmdEdit. Caption := WebAppDataModule1.GetText('Edit');                  
  CmdDelete. Caption := WebAppDataModule1.GetText('Delete');                 
  aaEdit. DisplayLabel := WebAppDataModule1.GetText('Edit');              
  aaDelete. DisplayLabel := WebAppDataModule1.GetText('Delete');             
  aaInsert. DisplayLabel := WebAppDataModule1.GetText('New');               
  ActionPrevPage. DisplayLabel := WebAppDataModule1.GetText('Prev');    
  ActionNextPage. DisplayLabel := WebAppDataModule1.GetText('Next');    
end;                                                                  
procedure TInactiveCoursesList.OpenQuery;
begin                                                                    
  qSelCoursesList.Close;                                            
  qSelCoursesList.Prepare;                                          
  qSelCoursesList.ExecQuery;                                        
  f_ID_COURSE := qSelCoursesList.FieldByName['ID_COURSE'].AsInteger;;
  f_ID_CATEGORY := qSelCoursesList.FieldByName['ID_CATEGORY'].AsInteger;;
  f_ID_TYPE := qSelCoursesList.FieldByName['ID_TYPE'].AsInteger;;
  f_ID_LANGUAGE := qSelCoursesList.FieldByName['ID_LANGUAGE'].AsInteger;;
  f_TITLE := qSelCoursesList.FieldByName['TITLE'].AsString;;
  f_CODE := qSelCoursesList.FieldByName['CODE'].AsString;;
  f_ACTIVE := qSelCoursesList.FieldByName['ACTIVE'].AsString = 'T';;
  f_READ_ONLY := qSelCoursesList.FieldByName['READ_ONLY'].AsString = 'T';;
  f_IDENTIFIER := qSelCoursesList.FieldByName['IDENTIFIER'].AsString;;
  f_DEFAULT_IDENTIFIER := qSelCoursesList.FieldByName['DEFAULT_IDENTIFIER'].AsString;;
  f_CREATED := qSelCoursesList.FieldByName['CREATED'].AsDateTime;;
  f_UPDATED := qSelCoursesList.FieldByName['UPDATED'].AsDateTime;;
  f_CONTROL_MODE_CHOICE := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE'].AsString = 'T';;
  f_CONTROL_MODE_CHOICE_EXIT := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE_EXIT'].AsString = 'T';;
  f_CONTROL_MODE_FLOW := qSelCoursesList.FieldByName['CONTROL_MODE_FLOW'].AsString = 'T';;
  f_CONTROL_MODE_FORWARD_ONLY := qSelCoursesList.FieldByName['CONTROL_MODE_FORWARD_ONLY'].AsString = 'T';;
end;                                                                     
                                                                    
procedure TInactiveCoursesList.adCoursesListID_COURSEGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_ID_COURSE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListID_CATEGORYGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_ID_CATEGORY;                                       
end;  

procedure TInactiveCoursesList.adCoursesListID_TYPEGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_ID_TYPE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListID_LANGUAGEGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_ID_LANGUAGE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListTITLEGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_TITLE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCODEGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_CODE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListACTIVEGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_ACTIVE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListREAD_ONLYGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_READ_ONLY;                                       
end;  

procedure TInactiveCoursesList.adCoursesListIDENTIFIERGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_IDENTIFIER;                                       
end;  

procedure TInactiveCoursesList.adCoursesListDEFAULT_IDENTIFIERGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_DEFAULT_IDENTIFIER;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCREATEDGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_CREATED;                                       
end;  

procedure TInactiveCoursesList.adCoursesListUPDATEDGetValue(Sender: TObject; var Value: Variant);
begin 
  Value := f_UPDATED;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCONTROL_MODE_CHOICEGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_CONTROL_MODE_CHOICE;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCONTROL_MODE_CHOICE_EXITGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_CONTROL_MODE_CHOICE_EXIT;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCONTROL_MODE_FLOWGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_CONTROL_MODE_FLOW;                                       
end;  

procedure TInactiveCoursesList.adCoursesListCONTROL_MODE_FORWARD_ONLYGetValue(Sender: TObject; var Value: Boolean);
begin 
  Value := f_CONTROL_MODE_FORWARD_ONLY;                                       
end;  

procedure TInactiveCoursesList.adCoursesListJCategoryIdCategoryJGetValue(Sender: TObject;
  var Value: Variant);                                                     
begin                                                                      
  Value := fj_CategoryIdCategoryJ;                         
end;                                                                       

procedure TInactiveCoursesList.adCoursesListJLanguageIdLanguageJGetValue(Sender: TObject;
  var Value: Variant);                                                     
begin                                                                      
  Value := fj_LanguageIdLanguageJ;                         
end;                                                                       

procedure TInactiveCoursesList.adCoursesListJCourseTypeIdTypeJGetValue(Sender: TObject;
  var Value: Variant);                                                     
begin                                                                      
  Value := fj_CourseTypeIdTypeJ;                         
end;                                                                       

procedure TInactiveCoursesList.appCoursesListBeforeGetContent(Sender: TObject);
begin                                                              
  //
end;                                                               

procedure TInactiveCoursesList.aaDeleteExecute(Sender: TObject; Params: TStrings);
begin                                                                   
  try                                                                   
    qDelCoursesList.Prepare;                                      
    qDelCoursesList.ParamByName('ID_COURSE').asString := Params.Values['ID_COURSE']; 
    qDelCoursesList.ExecQuery;                                    
    qDelCoursesList.Transaction.CommitRetaining;                  
    qDelCoursesList.Close;                                        
    OpenQuery;                                        
    adCoursesList.UpdateRecords();                           
  except                                                                
    on e:Exception do                                                   
    begin                                                               
      adCoursesList.Errors.AddError(e);                           
    end;
  end 
end; 

procedure TInactiveCoursesList.aaEditGetEnabled(Sender: TObject; var Enabled: Boolean);
begin                                                               
  Enabled := WebAppDataModule1.User_Role = sAdmin;  
end;                                                                

procedure TInactiveCoursesList.aaEditExecute(Sender: TObject; Params: TStrings);
begin                                                               
  WebAppDataModule1.LMRedirect('CoursesEdit',Params,Response);  
end;                                                                

procedure TInactiveCoursesList.aaInsertExecute(Sender: TObject; Params: TStrings);
begin                                                               
  WebAppDataModule1.LMRedirect('CoursesEdit',Params,Response);  
end;                                                                

procedure TInactiveCoursesList.aaDeleteGetEnabled(Sender: TObject;
  var Enabled: Boolean);                                            
begin                                                               
  Enabled := WebAppDataModule1.User_Role = sAdmin;         
end;                                                                

procedure TInactiveCoursesList.aaEditGetParams(Sender: TObject; Params: TStrings);
begin              
  Params.Values['ID_COURSE'] := IntToStr(f_ID_COURSE); 
  Params.Values['return_page'] := Self.Name;
end;   

procedure TInactiveCoursesList.aaDeleteGetParams(Sender: TObject; Params: TStrings);
begin 
  Params.Values['ID_COURSE'] := IntToStr(f_ID_COURSE); 
  Params.Values['return_page'] := return_page;
end; 
procedure TInactiveCoursesList.adCoursesListGetEOF(Sender: TObject; var Eof: Boolean);
begin                                                                                    
  Eof := qSelCoursesList.Eof;                                                       
end;                                                                                     

procedure TInactiveCoursesList.adCoursesListGetFirstRecord(Sender: TObject; var Eof: Boolean);
begin                                                                                            
  n:=0;                                                                                          
  qSelCoursesList.close;                                                                    
  qSelCoursesList.ExecQuery;                                                                
  Eof := qSelCoursesList.Eof;                                                               
  if not Eof then                                                                                 
  begin                                                                                           
    f_ID_COURSE := qSelCoursesList.FieldByName['ID_COURSE'].AsInteger;;
    f_ID_CATEGORY := qSelCoursesList.FieldByName['ID_CATEGORY'].AsInteger;;
    f_ID_TYPE := qSelCoursesList.FieldByName['ID_TYPE'].AsInteger;;
    f_ID_LANGUAGE := qSelCoursesList.FieldByName['ID_LANGUAGE'].AsInteger;;
    f_TITLE := qSelCoursesList.FieldByName['TITLE'].AsString;;
    f_CODE := qSelCoursesList.FieldByName['CODE'].AsString;;
    f_ACTIVE := qSelCoursesList.FieldByName['ACTIVE'].AsString = 'T';;
    f_READ_ONLY := qSelCoursesList.FieldByName['READ_ONLY'].AsString = 'T';;
    f_IDENTIFIER := qSelCoursesList.FieldByName['IDENTIFIER'].AsString;;
    f_DEFAULT_IDENTIFIER := qSelCoursesList.FieldByName['DEFAULT_IDENTIFIER'].AsString;;
    f_CREATED := qSelCoursesList.FieldByName['CREATED'].AsDateTime;;
    f_UPDATED := qSelCoursesList.FieldByName['UPDATED'].AsDateTime;;
    f_CONTROL_MODE_CHOICE := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE'].AsString = 'T';;
    f_CONTROL_MODE_CHOICE_EXIT := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE_EXIT'].AsString = 'T';;
    f_CONTROL_MODE_FLOW := qSelCoursesList.FieldByName['CONTROL_MODE_FLOW'].AsString = 'T';;
    f_CONTROL_MODE_FORWARD_ONLY := qSelCoursesList.FieldByName['CONTROL_MODE_FORWARD_ONLY'].AsString = 'T';;
    fj_CategoryIdCategoryJ := qSelCoursesList.FieldByName['CATEGORY_ID_CATEGORY_J'].AsString; 
    fj_LanguageIdLanguageJ := qSelCoursesList.FieldByName['LANGUAGE_ID_LANGUAGE_J'].AsString; 
    fj_CourseTypeIdTypeJ := qSelCoursesList.FieldByName['COURSE_TYPE_ID_TYPE_J'].AsString; 
  end                                                                                             
  else                                                                                            
  begin                                                                                           
    inc(n);                                                                                       
    f_ID_COURSE := 0;
    f_ID_CATEGORY := 0;
    f_ID_TYPE := 0;
    f_ID_LANGUAGE := 0;
    f_TITLE := '';
    f_CODE := '';
    f_ACTIVE := False;
    f_READ_ONLY := False;
    f_IDENTIFIER := '';
    f_DEFAULT_IDENTIFIER := '';
    f_CREATED := 0;
    f_UPDATED := 0;
    f_CONTROL_MODE_CHOICE := False;
    f_CONTROL_MODE_CHOICE_EXIT := False;
    f_CONTROL_MODE_FLOW := False;
    f_CONTROL_MODE_FORWARD_ONLY := False;
    fj_CategoryIdCategoryJ := ''; 
    fj_LanguageIdLanguageJ := ''; 
    fj_CourseTypeIdTypeJ := ''; 
  end;                                                                                            
end;                                                                                             
                                                                                                 
procedure TInactiveCoursesList.adCoursesListGetRecordCount(Sender: TObject; var Count: Integer);
begin                                                                                             
  qCntCoursesList.close;       
  qCntCoursesList.ExecQuery;      
  Count := qCntCoursesList.fields[0].AsInteger;  
  qCntCoursesList.close;   
end;                                                                                              
                                                                                                  
procedure TInactiveCoursesList.adCoursesListGetNextRecord(Sender: TObject; var Eof: Boolean);
begin  
  inc(n);  
  if qSelCoursesList.Open then                                                               
  begin                                                                                           
    qSelCoursesList.Next;                                                                    
    Eof := qSelCoursesList.Eof;                                                              
  end                                                                                             
  else                                                                                            
    eof:=true;                                                                                    
  if not Eof then                                                                                 
  begin                                                                                           
    f_ID_COURSE := qSelCoursesList.FieldByName['ID_COURSE'].AsInteger;;
    f_ID_CATEGORY := qSelCoursesList.FieldByName['ID_CATEGORY'].AsInteger;;
    f_ID_TYPE := qSelCoursesList.FieldByName['ID_TYPE'].AsInteger;;
    f_ID_LANGUAGE := qSelCoursesList.FieldByName['ID_LANGUAGE'].AsInteger;;
    f_TITLE := qSelCoursesList.FieldByName['TITLE'].AsString;;
    f_CODE := qSelCoursesList.FieldByName['CODE'].AsString;;
    f_ACTIVE := qSelCoursesList.FieldByName['ACTIVE'].AsString = 'T';;
    f_READ_ONLY := qSelCoursesList.FieldByName['READ_ONLY'].AsString = 'T';;
    f_IDENTIFIER := qSelCoursesList.FieldByName['IDENTIFIER'].AsString;;
    f_DEFAULT_IDENTIFIER := qSelCoursesList.FieldByName['DEFAULT_IDENTIFIER'].AsString;;
    f_CREATED := qSelCoursesList.FieldByName['CREATED'].AsDateTime;;
    f_UPDATED := qSelCoursesList.FieldByName['UPDATED'].AsDateTime;;
    f_CONTROL_MODE_CHOICE := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE'].AsString = 'T';;
    f_CONTROL_MODE_CHOICE_EXIT := qSelCoursesList.FieldByName['CONTROL_MODE_CHOICE_EXIT'].AsString = 'T';;
    f_CONTROL_MODE_FLOW := qSelCoursesList.FieldByName['CONTROL_MODE_FLOW'].AsString = 'T';;
    f_CONTROL_MODE_FORWARD_ONLY := qSelCoursesList.FieldByName['CONTROL_MODE_FORWARD_ONLY'].AsString = 'T';;
    fj_CategoryIdCategoryJ := qSelCoursesList.FieldByName['CATEGORY_ID_CATEGORY_J'].AsString; 
    fj_LanguageIdLanguageJ := qSelCoursesList.FieldByName['LANGUAGE_ID_LANGUAGE_J'].AsString; 
    fj_CourseTypeIdTypeJ := qSelCoursesList.FieldByName['COURSE_TYPE_ID_TYPE_J'].AsString; 
  end                                                                                             
  else                                                                                            
  begin                                                                                           
    inc(n);                                                                                       
    f_ID_COURSE := 0 ;
    f_ID_CATEGORY := 0 ;
    f_ID_TYPE := 0 ;
    f_ID_LANGUAGE := 0 ;
    f_TITLE := '' ;
    f_CODE := '' ;
    f_ACTIVE := False ;
    f_READ_ONLY := False ;
    f_IDENTIFIER := '' ;
    f_DEFAULT_IDENTIFIER := '' ;
    f_CREATED := 0 ;
    f_UPDATED := 0 ;
    f_CONTROL_MODE_CHOICE := False ;
    f_CONTROL_MODE_CHOICE_EXIT := False ;
    f_CONTROL_MODE_FLOW := False ;
    f_CONTROL_MODE_FORWARD_ONLY := False ;
    fj_CategoryIdCategoryJ := ''; 
    fj_LanguageIdLanguageJ := ''; 
    fj_CourseTypeIdTypeJ := ''; 
  end;                                                                                            
end;                                                                                              
                                                                                                  
procedure TInactiveCoursesList.adCoursesListGetRecordIndex(Sender: TObject; var Index: Integer);
begin                                                                                    
  Index := n;                                                                            
end;                                                                                     

procedure TInactiveCoursesList.aaInsertGetParams(Sender: TObject; Params: TStrings);
begin                                                                       
  Params.Values['ID_COURSE'] := '0';                                       
  Params.Values['return_page'] := return_page;
end;                                                                        

procedure TInactiveCoursesList.aaInsertGetEnabled(Sender: TObject;
  var Enabled: Boolean);                                                    
begin                                                                       
  Enabled := WebAppDataModule1.User_Role = sAdmin;           
end;                                                                        

initialization                                                             
  if WebRequestHandler <> nil then                                         
    WebRequestHandler.AddWebModuleFactory(                                 
             TWebPageModuleFactory.Create(TInactiveCoursesList,
             TWebPageInfo.Create([wpPublished, wpLoginRequired],           
             '.html', '', 'Courses'), crOnDemand, caCache)       
             );
end.
