object frmCommDiag: TfrmCommDiag
  Left = 201
  Top = 140
  Width = 362
  Height = 501
  VertScrollBar.Range = 37
  ActiveControl = pgcDiagnostics
  AutoScroll = False
  BorderIcons = [biSystemMenu, biHelp]
  Caption = 'Communication Diagnostics'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = 11
  Font.Name = 'MS Sans Serif'
  Font.Pitch = fpVariable
  Font.Style = []
  OldCreateOrder = True
  Position = poScreenCenter
  Scaled = False
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnKeyPress = FormKeyPress
  PixelsPerInch = 96
  TextHeight = 13
  object pgcDiagnostics: TPageControl
    Left = 0
    Top = 0
    Width = 354
    Height = 437
    ActivePage = tabDBConnection
    Align = alClient
    TabOrder = 0
    object tabDBConnection: TTabSheet
      Caption = 'DB Connection'
      DesignSize = (
        346
        409)
      object lblDBResults: TLabel
        Left = 6
        Top = 240
        Width = 38
        Height = 13
        Caption = '&Results:'
        FocusControl = memDBResults
      end
      object memDBResults: TMemo
        Left = 6
        Top = 258
        Width = 331
        Height = 144
        Anchors = [akLeft, akTop, akRight, akBottom]
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 2
        WordWrap = False
      end
      object gbDatabaseInfo: TGroupBox
        Left = 6
        Top = 114
        Width = 331
        Height = 115
        Anchors = [akLeft, akTop, akRight]
        Caption = ' Database Information'
        TabOrder = 1
        DesignSize = (
          331
          115)
        object lblDatabase: TLabel
          Left = 12
          Top = 24
          Width = 49
          Height = 13
          Caption = '&Database:'
          FocusControl = edtDatabase
        end
        object lblUsername: TLabel
          Left = 12
          Top = 54
          Width = 56
          Height = 13
          Caption = '&User Name:'
          FocusControl = edtUsername
        end
        object lblPassword: TLabel
          Left = 12
          Top = 84
          Width = 49
          Height = 13
          Caption = '&Password:'
          FocusControl = edtPassword
        end
        object btnSelDB: TButton
          Left = 301
          Top = 24
          Width = 21
          Height = 21
          Hint = 'Select database'
          Anchors = [akTop, akRight]
          Caption = '...'
          TabOrder = 1
          OnClick = btnSelDBClick
        end
        object edtUsername: TEdit
          Left = 91
          Top = 54
          Width = 230
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          MaxLength = 128
          TabOrder = 2
        end
        object edtPassword: TEdit
          Left = 91
          Top = 84
          Width = 229
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          MaxLength = 32
          TabOrder = 3
        end
        object edtDatabase: TEdit
          Left = 91
          Top = 24
          Width = 209
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnChange = edtDatabaseChange
        end
      end
      object gbDBServerInfo: TGroupBox
        Left = 6
        Top = 6
        Width = 331
        Height = 103
        Anchors = [akLeft, akTop, akRight]
        Caption = ' Server Information'
        TabOrder = 0
        DesignSize = (
          331
          103)
        object lblServerName: TLabel
          Left = 12
          Top = 48
          Width = 65
          Height = 13
          Caption = '&Server Name:'
          FocusControl = cbDBServer
        end
        object lblProtocol: TLabel
          Left = 208
          Top = 48
          Width = 85
          Height = 13
          Anchors = [akTop, akRight]
          Caption = '&Network Protocol:'
          FocusControl = cbProtocol
        end
        object cbProtocol: TComboBox
          Left = 208
          Top = 66
          Width = 115
          Height = 21
          Style = csDropDownList
          Anchors = [akTop, akRight]
          ItemHeight = 13
          TabOrder = 2
          Items.Strings = (
            'TCP/IP'
            'NetBEUI'
            'SPX')
        end
        object rbLocalServer: TRadioButton
          Left = 36
          Top = 24
          Width = 107
          Height = 17
          Caption = '&Local Server'
          TabOrder = 0
          OnClick = rbLocalServerClick
        end
        object rbRemoteServer: TRadioButton
          Left = 166
          Top = 24
          Width = 116
          Height = 17
          Caption = 'R&emote Server'
          TabOrder = 1
          OnClick = rbRemoteServerClick
        end
        object cbDBServer: TComboBox
          Left = 13
          Top = 66
          Width = 185
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          ItemHeight = 13
          TabOrder = 3
          OnClick = cbDBServerClick
        end
      end
    end
    object tabTCPIP: TTabSheet
      Caption = 'TCP/IP'
      DesignSize = (
        346
        409)
      object lblWinSockResults: TLabel
        Left = 6
        Top = 90
        Width = 61
        Height = 13
        AutoSize = False
        Caption = '&Results:'
        FocusControl = memTCPIPResults
      end
      object memTCPIPResults: TMemo
        Left = 6
        Top = 108
        Width = 335
        Height = 295
        Anchors = [akLeft, akTop, akRight, akBottom]
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 1
        WordWrap = False
      end
      object gbTCPIPServerInfo: TGroupBox
        Left = 6
        Top = 6
        Width = 332
        Height = 73
        Anchors = [akLeft, akTop, akRight]
        Caption = ' Server Information'
        TabOrder = 0
        DesignSize = (
          332
          73)
        object lblWinsockServer: TLabel
          Left = 12
          Top = 18
          Width = 43
          Height = 13
          AutoSize = False
          Caption = '&Host:'
          FocusControl = cbTCPIPServer
        end
        object lblService: TLabel
          Left = 217
          Top = 18
          Width = 67
          Height = 13
          Anchors = [akTop, akRight]
          AutoSize = False
          Caption = '&Service:'
          FocusControl = cbService
        end
        object cbService: TComboBox
          Left = 217
          Top = 36
          Width = 79
          Height = 21
          Style = csDropDownList
          Anchors = [akTop, akRight]
          ItemHeight = 13
          TabOrder = 1
          Items.Strings = (
            '21'
            'ftp'
            '3050'
            'gds_db'
            'ping')
        end
        object cbTCPIPServer: TComboBox
          Left = 12
          Top = 37
          Width = 186
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          ItemHeight = 0
          TabOrder = 0
        end
      end
    end
    object tabNetBEUI: TTabSheet
      Caption = 'NetBEUI'
      DesignSize = (
        346
        409)
      object lblNetBeuiResults: TLabel
        Left = 6
        Top = 78
        Width = 55
        Height = 13
        AutoSize = False
        Caption = '&Results:'
        FocusControl = memNetBeuiResults
      end
      object memNetBeuiResults: TMemo
        Left = 6
        Top = 96
        Width = 329
        Height = 308
        Anchors = [akLeft, akTop, akRight, akBottom]
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 1
        WordWrap = False
      end
      object gbNetBEUIServerInfo: TGroupBox
        Left = 6
        Top = 6
        Width = 330
        Height = 61
        Anchors = [akLeft, akTop, akRight]
        Caption = ' Server Information'
        TabOrder = 0
        DesignSize = (
          330
          61)
        object lblNetBEUIServer: TLabel
          Left = 12
          Top = 24
          Width = 65
          Height = 13
          Caption = '&Server Name:'
          FocusControl = cbNetBEUIServer
        end
        object cbNetBEUIServer: TComboBox
          Left = 121
          Top = 24
          Width = 199
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          ItemHeight = 0
          TabOrder = 0
        end
      end
    end
    object tabSPX: TTabSheet
      Caption = 'SPX'
      DesignSize = (
        346
        409)
      object lblSPXResults: TLabel
        Left = 6
        Top = 78
        Width = 49
        Height = 13
        AutoSize = False
        Caption = '&Results:'
        FocusControl = memSPXResults
      end
      object gbNovellServerInfo: TGroupBox
        Left = 6
        Top = 6
        Width = 331
        Height = 61
        Anchors = [akLeft, akTop, akRight]
        Caption = ' Server Information'
        TabOrder = 0
        DesignSize = (
          331
          61)
        object lblSPXServer: TLabel
          Left = 12
          Top = 24
          Width = 65
          Height = 13
          Caption = '&Server Name:'
          FocusControl = cbSPXServer
        end
        object cbSPXServer: TComboBox
          Left = 121
          Top = 24
          Width = 199
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          ItemHeight = 0
          TabOrder = 0
        end
      end
      object memSPXResults: TMemo
        Left = 6
        Top = 96
        Width = 331
        Height = 303
        Anchors = [akLeft, akTop, akRight, akBottom]
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 1
        WordWrap = False
      end
    end
  end
  object pnlButtonBar: TPanel
    Left = 0
    Top = 437
    Width = 354
    Height = 37
    Align = alBottom
    TabOrder = 1
    DesignSize = (
      354
      37)
    object btnTest: TButton
      Left = 192
      Top = 6
      Width = 75
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Test'
      Default = True
      TabOrder = 0
      OnClick = btnTestClick
    end
    object btnCancel: TButton
      Left = 270
      Top = 6
      Width = 75
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Cancel'
      TabOrder = 1
      OnClick = btnCancelClick
    end
  end
  object ICMP: TIdIcmpClient
    BufferSize = 64
    ReceiveTimeout = 1000
    OnReply = ICMPReply
    Left = 246
    Top = 326
  end
  object inTCP: TIdTCPClient
    MaxLineAction = maException
    ReadTimeout = 0
    RecvBufferSize = 8192
    SendBufferSize = 8192
    Port = 0
    Left = 154
    Top = 278
  end
end
