{************************************************************************
  This Unit was modified to be interfaced in IBObjects
  by Lorenzo Mengoni - (Ancona, Italy)

  for suggestion and contributions email to lorenzo@mengoni.com

  This software is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied.
  If you live or are intended to use this software in countries
  where this is not applicable ("AS IS" basis), DO NOT USE IT.

                                                                         }
{
 * The contents of this file are subject to the InterBase Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License.
 * 
 * You may obtain a copy of the License at http://www.Inprise.com/IPL.html.
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.  The Original Code was created by Inprise
 * Corporation and its predecessors.
 *
 * Portions created by Inprise Corporation are Copyright (C) Inprise
 * Corporation. All Rights Reserved.
 *
 * Contributor(s): Jeff Overcash, Krzysztof Golko.
}
unit frmuDispMemo;

interface

uses
{$IFDEF LINUX}
  QControls, QForms, QDialogs, QComCtrls, QStdCtrls, QMenus,
  Types, QTypes, QImgList, QExtCtrls,
  QStdActns, QActnList, SynEdit, SynEditPrint, IBCXDummies,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages, Controls, Forms, Dialogs, ComCtrls, StdCtrls,
  Menus, ImgList, StdActns, ActnList, Graphics, Spin,
{$ENDIF}
  SysUtils, Variants, Classes, SynEdit, Db, IBOConsoleForm;

type
  TTfrmDispMemo = class(TIBOConsoleForm)
    Memo1: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function IBCDisplayMemo (const Owner: TComponent; const Field: TField): boolean;

implementation

{$R *.dfm}

function IBCDisplayMemo (const Owner: TComponent; const Field: TField): boolean;
begin
  Result := true;
  with TTfrmDispMemo.Create(Owner) do
  begin
    Caption := Field.DisplayName;
    Memo1.Lines.Text := Field.AsString;
    Memo1.WordWrap := True;
    Show;
  end;
end;

end.
